| Home | Libraries | People | FAQ | More

## Class error

boost::program_options::error —

## Synopsis

    class error {
    public:
      // construct/copy/destruct
      error(const std::string &);

      // public member functions
    };

## Description

Base class for all errors in the library.

### `error` construct/copy/destruct

1.     error(const std::string & what);

### `error` public member functions

| Copyright © 2002-2004 Vladimir Prus